Subject: bug#1798: closed (Re: bug#1798: (23.0.60; easypg incompatible with tramp?))

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 24 Jul 2011 10:04:01 +0000

Your bug report

#1798: 23.0.60; easypg incompatible with tramp?

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
1798: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=1798
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#1798: (23.0.60; easypg incompatible with tramp?)
From: Michael Albinus <[email-masked]>
To: "Trent W. Buck" <[email-masked]>
Cc: [email-masked]
Date: Sun, 24 Jul 2011 12:03:17 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Michael Albinus <[email-masked]> writes:

> I've just checked with Emacs 24.0.50, it works without any
> tweakings. Could you, please, retest?

No reply, so I close the bug. In case you disagree, you could reopen it.

Best regards, Michael.

Subject: 23.0.60; easypg incompatible with tramp?
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Mon, 05 Jan 2009 19:55:31 -0800 (PST)

I tried to open a remote, encrypted file /ssh:foo:/bar/quux.txt.gpg.
When I do, it immediately pops up with this buffer:

    Select recipents for encryption.
    If no one is selected, symmetric encryption will be performed.  
    - `m' to mark a key on the line
    - `u' to unmark a key on the line
    [Cancel] [OK]
    <list of keys>

It looks like easypg is trying to encrypt the file, instead of opening
it!  I think this problem is because tramp starts by reading the
remote file in and writing it out to /tmp/<gibberish>.gpg.

In GNU Emacs 23.0.60.1 (i486-pc-linux-gnu, GTK+ Version 2.12.11)
 of 2009-01-04 on elegiac, modified by Debian
 (emacs-snapshot package, version 1:20090103-1)
configured using `configure  '--build' 'i486-linux-gnu' '--host' 'i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs-snapshot:/etc/emacs:/usr/local/share/emacs/23.0.60/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.0.60/site-lisp:/usr/share/emacs/site-lisp' '--with-x=yes' '--with-x-toolkit=gtk' 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -DSITELOAD_PURESIZE_EXTRA=5000 -g -O2' 'LDFLAGS=-g -Wl,--as-needed' 'CPPFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: C
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_AU.utf8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: rcirc

Minor modes in effect:
  shell-dirtrack-mode: t
  diff-auto-refine-mode: t
  rcirc-track-minor-mode: t
  savehist-mode: t
  icomplete-mode: t
  partial-completion-mode: t
  show-paren-mode: t
  delete-selection-mode: t
  tooltip-mode: t
  use-hard-newlines: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
SPC d i d SPC t h i s RET T h e SPC o t h e r SPC k 
e y SPC i s SPC a l r e a d y SPC h e r e SPC i n SPC 
- - l i s t - s e c r e t - k e y s RET C-x ESC O B 
ESC O A RET C-x ESC O D I t ' s SPC j u s t SPC t h 
a t SPC g p g SPC i s SPC f u c k i n g ESC b ESC b 
ESC O D ESC O D ESC O C . e l ESC b ESC O D ESC O D 
ESC O D ESC O D ESC O C n u ESC b C-k e a s y p g SPC 
i s SPC a f DEL DEL f u c k i n SPC DEL g SPC s t u 
p i d . RET A p p a r n e t l y SPC i t SPC ESC [ 1 
~ C-k A p p a r e n t l y SPC i t SPC i s n ' t DEL 
DEL DEL DEL DEL d o e s n ' t SPC w o r k SPC w i t 
h SPC t r a m p RET ESC x r e p o r t SPC g b u C-g 
C-x ESC O C C-@ ESC O B ESC O B ESC O B ESC O B ESC 
w C-x ESC O D C-x ESC O C RET ESC x r e p o r t SPC 
e m a c s SPC b u g RET

Recent messages:
Use M-x make-directory RET RET to create the directory and its parents
Wrote /tmp/tramp.2264yYr
Mark set
Quit
Wrote /tmp/tramp.2264_ix
Mark set [2 times]
windmove-do-window-select: No window left from selected window
windmove-do-window-select: No window up from selected window
Quit
Mark set
Quit